Bug 993991 - nautilus-python possibly affected by F-20 unversioned docdir change
nautilus-python possibly affected by F-20 unversioned docdir change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Dignan
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 09:36 EDT by Ville Skyttä
Modified: 2014-02-15 01:57 EST (History)
4 users (show)

See Also:
Fixed In Version: nautilus-python-1.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-15 01:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Working spec file (4.28 KB, text/x-rpm-spec)
2013-12-19 19:00 EST, Juan A. Burgos
no flags Details

  None (edit)
Description Ville Skyttä 2013-08-06 09:36:44 EDT
nautilus-python was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora End Of Life 2013-09-16 12:19:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Juan A. Burgos 2013-12-19 18:57:52 EST
The problem seems to be a configure option in the SPEC file.
Comment 3 Juan A. Burgos 2013-12-19 19:00:20 EST
Created attachment 839286 [details]
Working spec file

Tested on fc20.x86_64
Comment 4 Oskar Berggren 2014-01-07 10:04:02 EST
This bug prevents building the package on Fedora 20 (FTBFS in bug #992325). Fedora 20 will therefore install the binary package from fedora 19, which doesn't work (see bug #1046899). So currently no python based nautilus extensions will work in Fedora 20.
Comment 5 Fedora Update System 2014-02-04 06:14:35 EST
nautilus-python-1.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nautilus-python-1.1-6.fc20
Comment 6 Fedora Update System 2014-02-04 22:43:46 EST
Package nautilus-python-1.1-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nautilus-python-1.1-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2032/nautilus-python-1.1-6.fc20
then log in and leave karma (feedback).
Comment 7 Ville Skyttä 2014-02-05 04:13:54 EST
The "%doc %{_pkgdocdir}/examples/*.py" line in this update's specfile is redundant (but harmless), the special %doc used on the line above already ends up owning everything in %{_pkgdocdir}.
Comment 8 Till Maas 2014-02-05 04:34:30 EST
(In reply to Ville Skyttä from comment #7)
> The "%doc %{_pkgdocdir}/examples/*.py" line in this update's specfile is
> redundant (but harmless), the special %doc used on the line above already
> ends up owning everything in %{_pkgdocdir}.

Just to make sure I understand it correctly:
The line
%doc README AUTHORS COPYING NEWS 
does not only copy the specified files to %{_pkgdocdir} but also matches everything already present in %{_pkgdocdir}?
Comment 9 Ville Skyttä 2014-02-05 04:48:34 EST
Nowadays yes: http://rpm.org/gitweb?p=rpm.git;a=blob;f=build/files.c#l1674

Before rpm 4.9.1 special %doc cleared the doc dir before it copied files into it: http://rpm.org/ticket/836
Comment 10 Fedora Update System 2014-02-15 01:57:13 EST
nautilus-python-1.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.